"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Iterate = Iterate;
const index_js_1 = require("../useAsyncIterable/index.js");
function Iterate(props) {
    const renderOutput = typeof props.children === 'function'
        ? (() => {
            const propsBetterTyped = props;
            const next = (0, index_js_1.useAsyncIterable)(propsBetterTyped.value, propsBetterTyped.initialValue);
            return propsBetterTyped.children(next);
        })()
        : (() => {
            const propsBetterTyped = props;
            const next = (0, index_js_1.useAsyncIterable)(propsBetterTyped.children, propsBetterTyped.initialValue);
            return next.value;
        })();
    return renderOutput;
}
//# sourceMappingURL=index.js.map