export { IterableChannel };
declare class IterableChannel<T> {
    #private;
    iterable: {
        [Symbol.asyncIterator]: () => {
            next: () => Promise<IteratorResult<T, void>>;
        };
    };
    put(value: T): void;
    close(): void;
}
