"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAsyncIterState = useAsyncIterState;
const react_1 = require("react");
// import { Iterate } from '../Iterate/index.js';
const IterableChannel_js_1 = require("./IterableChannel.js");
function useAsyncIterState() {
    const channelRef = (0, react_1.useRef)();
    const channel = (channelRef.current ??= new IterableChannel_js_1.IterableChannel());
    (0, react_1.useEffect)(() => {
        return () => channel.close();
    }, []);
    // const iteratorCompRef = useRef<(props: { children: () => ReactNode }) => ReactNode>();
    // const IteratorComponent = (iteratorCompRef.current ??= (props: { children: () => ReactNode }) => {
    //   return <Iterate value={channel.iterable}>{props.children}</Iterate>;
    // });
    const stateSetter = (newValue) => {
        channel.put(newValue);
    };
    return [
        channel.iterable,
        stateSetter,
        // IteratorComponent
    ];
}
//# sourceMappingURL=index.js.map