import { useAsyncIterable } from '../useAsyncIterable/index.js';
export { Iterate };
function Iterate(props) {
    const renderOutput = typeof props.children === 'function'
        ? (() => {
            const propsBetterTyped = props;
            const next = useAsyncIterable(propsBetterTyped.value, propsBetterTyped.initialValue);
            return propsBetterTyped.children(next);
        })()
        : (() => {
            const propsBetterTyped = props;
            const next = useAsyncIterable(propsBetterTyped.children, propsBetterTyped.initialValue);
            return next.value;
        })();
    return renderOutput;
}
//# sourceMappingURL=index.js.map