import { useEffect, useRef } from 'react';
// import { Iterate } from '../Iterate/index.js';
import { IterableChannel } from './IterableChannel.js';
export { useAsyncIterState };
function useAsyncIterState() {
    const channelRef = useRef();
    const channel = (channelRef.current ??= new IterableChannel());
    useEffect(() => {
        return () => channel.close();
    }, []);
    // const iteratorCompRef = useRef<(props: { children: () => ReactNode }) => ReactNode>();
    // const IteratorComponent = (iteratorCompRef.current ??= (props: { children: () => ReactNode }) => {
    //   return <Iterate value={channel.iterable}>{props.children}</Iterate>;
    // });
    const stateSetter = (newValue) => {
        channel.put(newValue);
    };
    return [
        channel.iterable,
        stateSetter,
        // IteratorComponent
    ];
}
//# sourceMappingURL=index.js.map